summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-10-03 12:56:32 +0200
committerJim Meyering <meyering@redhat.com>2007-10-03 12:56:32 +0200
commit5cf961f0eaf78faf662d4c751739b0619a5e8d26 (patch)
tree257d37fedbdea448af110858950c0ad2798bd1c9
parent1b8c8befd96bb1ebf02eeade5029a81e1b6c4dc1 (diff)
downloadcoreutils-5cf961f0eaf78faf662d4c751739b0619a5e8d26.tar.xz
* tests/misc/selinux: Skip this test if the initial chcon fails.
-rw-r--r--ChangeLog4
-rwxr-xr-xtests/misc/selinux6
2 files changed, 9 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index afc67cb67..8dab21800 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2007-10-03 Jim Meyering <jim@meyering.net>
+
+ * tests/misc/selinux: Skip this test if the initial chcon fails.
+
2007-10-02 Jim Meyering <jim@meyering.net>
Never copy through a symlink that cp has just created.
diff --git a/tests/misc/selinux b/tests/misc/selinux
index a4fc78ac4..67de51ea3 100755
--- a/tests/misc/selinux
+++ b/tests/misc/selinux
@@ -25,7 +25,11 @@ fail=0
ctx=root:object_r:tmp_t
# FIXME, what if $ctx is no different from the default. Not likely.
# give each a different context, via chcon
-chcon $ctx f d p || fail=1
+chcon $ctx f d p 2>/dev/null || {
+ echo 1>&2 'skipping this test: "chcon '$ctx' ..." failed'
+ (exit 77); exit 77
+}
+
# inspect that context with both ls -Z and stat.
for i in d f p; do
c=`ls -dogZ $i|cut -d' ' -f3`; test x$c = x$ctx || fail=1